Axis2 1.7.4 external dependencies

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Axis2 1.7.4 external dependencies

Sample, David D
org.apache.http.impl.auth.BasicScheme.authenticate(Credentials, HttpRequest, HttpContext) uses the constructor org.apache.commons.codec.binary.Base64(int).

Axis2 1.7.4 includes commons-codec-1.3.jar which does not have this constructor.

Exception in thread "main" java.lang.NoSuchMethodError: org.apache.commons.codec.binary.Base64.<init>(I)V
       at org.apache.http.impl.auth.BasicScheme.authenticate(BasicScheme.java:168)
       at Main.main(Main.java:249)

I can upgrade commons-codec to a later version to eliminate the error. Are there other jars included in Axis2 1.7.4 that must be upgraded for it to be used?

David


Please consider the environment before printing this email and any attachments.

This e-mail and any attachments are intended only for the individual or company to which it is addressed and may contain information which is privileged, confidential and prohibited from disclosure or unauthorized use under applicable law. If you are not the intended recipient of this e-mail, you are hereby notified that any use, dissemination, or copying of this e-mail or the information contained in this e-mail is strictly prohibited by the sender. If you have received this transmission in error, please return the material received to the sender and delete all copies from your system.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Axis2 1.7.4 external dependencies

Andreas Veithen-2
On Tue, Jun 27, 2017 at 2:24 PM, Sample, David D
<[hidden email]> wrote:
> org.apache.http.impl.auth.BasicScheme.authenticate(Credentials, HttpRequest, HttpContext) uses the constructor org.apache.commons.codec.binary.Base64(int).
>
> Axis2 1.7.4 includes commons-codec-1.3.jar which does not have this constructor.
>
> Exception in thread "main" java.lang.NoSuchMethodError: org.apache.commons.codec.binary.Base64.<init>(I)V
>        at org.apache.http.impl.auth.BasicScheme.authenticate(BasicScheme.java:168)
>        at Main.main(Main.java:249)
>
> I can upgrade commons-codec to a later version to eliminate the error. Are there other jars included in Axis2 1.7.4 that must be upgraded for it to be used?

I'm not aware of any other reports about such dependencies.

>
> David
>
>
> Please consider the environment before printing this email and any attachments.
>
>
>
> This e-mail and any attachments are intended only for the individual or company to which it is addressed and may contain information which is privileged, confidential and prohibited from disclosure or unauthorized use under applicable law. If you are not the intended recipient of this e-mail, you are hereby notified that any use, dissemination, or copying of this e-mail or the information contained in this e-mail is strictly prohibited by the sender. If you have received this transmission in error, please return the material received to the sender and delete all copies from your system.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]